Subject: Re: [net-next 11/15] net/mlx5e: RX, Hook NAPIs to page pools

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Apr 2023 19:13:18 -0700

On Thu, 20 Apr 2023 18:38:46 -0700 Saeed Mahameed wrote:
> From: Dragos Tatulea <[email-masked]>
> 
> Linking the NAPI to the rq page_pool to improve page_pool cache
> usage during skb recycling.
> 
> Here are the observed improvements for a iperf single stream
> test case:
> 
> - For 1500 MTU and legacy rq, seeing a 20% improvement of cache usage.
> 
> - For 9K MTU, seeing 33-40 % page_pool cache usage improvements for
> both striding and legacy rq (depending if the application is running on
> the same core as the rq or not).

I think you'll need a strategically placed page_pool_unlink_napi() once
https://lore.kernel.org/all/[email-masked]/
gets merged (which should me in minutes). Would you be able to follow
up on this tomorrow?